<ion-header [translucent]="true">
    <ion-toolbar>
        <ion-title>
            Parents App
        </ion-title>
    </ion-toolbar>
    <ion-toolbar>
        <ion-segment [value]="segment" (ionChange)="segmentChanged($event)">
            <ion-segment-button [value]="0">
                <ion-label>Treasures not found</ion-label>
            </ion-segment-button>
            <ion-segment-button [value]="1">
                <ion-label>Treasures found</ion-label>
            </ion-segment-button>
        </ion-segment>
    </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
    <div [ngSwitch]="segment">
        <div *ngSwitchCase="0">
            <ng-container *ngFor="let t of notFound">
                <ion-card>
                    <ion-card-header>
                        <ion-row>
                            <ion-col size="10">
                                <ion-card-title>{{t.name}}</ion-card-title>
                            </ion-col>
                            <ion-col size="2">
                                <ion-button fill="clear" color="medium" size="small" shape="round" (click)="deleteObject(t)">
                                    <ion-icon name="trash-outline" color="danger"></ion-icon>
                                </ion-button>
                            </ion-col>
                        </ion-row>
                    </ion-card-header>
                    <ion-card-content>
                        {{t.description}}
                    </ion-card-content>
                </ion-card>
            </ng-container>

        </div>
        <div *ngSwitchCase="1">
            <ng-container *ngFor="let t of found">
                <ion-card>
                    <ion-card-header>
                        <ion-card-title> {{t.name}}</ion-card-title>
                    </ion-card-header>
                    <ion-card-content>
                        {{t.description}}
                    </ion-card-content>
                </ion-card>
            </ng-container>
        </div>
    </div>


    <ion-fab vertical="bottom" horizontal="end" slot="fixed" (click)="presentAlertPrompt()">
        <ion-fab-button>
            <ion-icon name="add"></ion-icon>
        </ion-fab-button>
    </ion-fab>

</ion-content>